// Copyright (c) Huawei Technologies Co., Ltd. 2019. All rights reserved.
// iSulad-kit licensed under the Mulan PSL v2.
// You can use this software according to the terms and conditions of the Mulan PSL v2.
// You may obtain a copy of Mulan PSL v2 at:
//     http://license.coscl.org.cn/MulanPSL2
// THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
// PURPOSE.
// See the Mulan PSL v2 for more details.
// Description: iSulad image kit
// Author: liruilin
// Create: 2019-01-19

package devmapper

/*
#include <sys/types.h>
#include <sys/sem.h>
int mysemctl(int cmd, struct seminfo *p){
        return semctl(0, 0, cmd, p);
}
*/
import "C"
import (
	"fmt"
)

func checkSemSetStat() (int, int, error) {
	var seminfo *C.struct_seminfo = new(C.struct_seminfo)
	C.mysemctl(C.SEM_INFO, seminfo)
	var err error = nil
	if seminfo.semusz == seminfo.semmni {
		err = fmt.Errorf("system semaphore nums has attached limit: %d", int(seminfo.semusz))
	}
	return int(seminfo.semusz), int(seminfo.semmni), err
}
